%global pkgname rsa

Name:           python-rsa
Version:        3.1.1
Release:        5%{?dist}
Summary:        Pure-Python RSA implementation

License:        ASL 2.0
URL:            http://stuvel.eu/rsa
Source0:        https://pypi.python.org/packages/source/r/rsa/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pyasn1
BuildRequires:  python-unittest2

%description
Pure-Python RSA implementation

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf %{pkgname}-*.egg-info
sed -i "/from distribute_setup import use_setuptools/d" setup.py
sed -i "/use_setuptools('0.6.10')/d" setup.py
sed -i "s/pyasn1 >= 0.1.3/pyasn1 >= 0/" setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%files
%doc LICENSE
%{_bindir}/*
%{python_sitelib}/rsa
%{python_sitelib}/rsa-*.egg-info

%changelog
* Fri Jan 10 2014 Marek Goldmann <mgoldman@redhat.com> - 3.1.1-5
- Make it possible to build on EL6 branch
* Mon Aug 05 2013 Yohan Graterol <yohangraterol92@gmail.com> - 3.1.1-4
- Fix build in F20
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 26 2013 Yohan Graterol <yohangraterol92@gmail.com> - 3.1.1-2
- Change license name, remove MANIFEST.in
* Sun May 19 2013 Yohan Graterol <yohangraterol92@gmail.com> - 3.1.1-1
- Initial packaging 
